## debconf 1.4.29ubuntu4

=== debian/changelog ===
debconf (1.4.29ubuntu4) warty; urgency=low

  * Set the seen flag on questions asked in the noninteractive frontend if
    DEBCONF_NONINTERACTIVE_SEEN is set to true. This allows debootstrap to
    behave better.
  * Add Debconf::Element::Noninteractive::* modules; we need element objects
    to carry the markseen flag around.

 -- Colin Watson <cjwatson@canonical.com>  Thu, 30 Sep 2004 19:10:21 +0100

debconf (1.4.29ubuntu3) warty; urgency=low

  * Ubuntu branding

 -- Tollef Fog Heen <tfheen@raw.no>  Fri, 20 Aug 2004 09:56:24 +0200

debconf (1.4.29ubuntu2) warty; urgency=low

  * Implement progress report on apt-extracttemplates calls.
    (dpkg-preconfigure)
    (Closes: #340)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Fri, 23 Jul 2004 13:10:13 +0200

debconf (1.4.29ubuntu1) warty; urgency=low

  * Set default priority to high.

 -- Colin Watson <cjwatson@flatline.org.uk>  Mon, 19 Jul 2004 20:33:19 +0100

debconf (1.4.29) unstable; urgency=low

  * Force two spare lines to be available for select and multiselect lists
    in the dialog frontend. Closes: #255652

 -- Joey Hess <joeyh@debian.org>  Wed, 23 Jun 2004 20:16:31 -0400

debconf (1.4.28) unstable; urgency=low

  * Typo fixes in debconf-devel.7. Closes: #253341
  * Put back the PREVIOUS_MODULE stuff, at least console-data "uses" it,
    although it does nothing, is undocumented, etc.

 -- Joey Hess <joeyh@debian.org>  Tue,  8 Jun 2004 17:28:25 -0400

debconf (1.4.27) unstable; urgency=low

  * Change the shell confmodule to not construct functions on the fly.
    The new code is smaller, a bit faster, and simpler, but the important
    thing is that it does not clobber $@. The old version messed up $@ if
    parameters contained spaces.
  * Removed the never completed PREVIOUS_MODULE stuff from the shell,
    perl, and python confmodules.

 -- Joey Hess <joeyh@debian.org>  Sun,  6 Jun 2004 17:14:31 -0400

debconf (1.4.26) unstable; urgency=low

  * Add Basqe translation by Piarres Beobide Egaa. Closes: #247321
  * German translation update. Closes: #251731
  * Catalan translation update. Closes: #251786
  * Remove soi-unsightly trailing blanks in debconf-show output.
    Closes: #252482

 -- Joey Hess <joeyh@debian.org>  Tue,  4 May 2004 14:35:50 -0400

debconf (1.4.25) unstable; urgency=low

  * Overload Template object's stringification, so metaget of a question's
    template field returns the name of the template. Closes: #244089

 -- Joey Hess <joeyh@debian.org>  Wed, 28 Apr 2004 17:50:09 -0400

debconf (1.4.24) unstable; urgency=low

  * Patch from Eugeniy Meshcheryako to make the dialog frontend use a
    utf-aware width function when calculating dialog sizes. Closes: #245688

 -- Joey Hess <joeyh@debian.org>  Sat, 24 Apr 2004 15:15:52 -0400

debconf (1.4.22) unstable; urgency=low

  * Update po/ja.po. Closes: #241786
  * Fix frontend capitalisation warning. Closes: #242277
  * Wording tweak in dpkg-reconfigure. Closes: #242917
  * Update po/da.po. Closes: #243202

 -- Joey Hess <joeyh@debian.org>  Fri,  2 Apr 2004 19:01:02 -0500

debconf (1.4.21) unstable; urgency=low

  * Remove old stuff for cvs repo in README. Closes: #241252
  * Improve handling of bad priorities, and documentation. Closes: #241292

 -- Joey Hess <joeyh@debian.org>  Wed, 31 Mar 2004 17:29:43 -0500

debconf (1.4.20) unstable; urgency=low

  * Update Ukrainian po file. Closes: #241044
  * Fix more encoding problems with the gnome frontend introduced by the last
    patch. Closes: #240898
  * In the KDE frontend, don't show the window until there is a question to
    ask. Closes: #239109

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Mar 2004 12:04:56 -0500

debconf (1.4.19) unstable; urgency=low

  * Fix Gnome frontend's display of select and multiselect questions
    and notes to use more of the available space. Closes: #229009
    Thanks to Mark Howard for this patch.
  * Use tooltips to display the help texts for questions in the Gnome
    frontend. Closes: #240299 (Mark Howard). The Help bttons are still 
    left in the UI for now.
  * Updated Greek po file from Konstantinos Margaritis. Closes: #240641
  * French po update from Julien Louis. Closes: #240648

 -- Joey Hess <joeyh@debian.org>  Sun, 28 Mar 2004 10:41:16 -0500

debconf (1.4.18) unstable; urgency=low

  * Removed all sigils. Closes: #223020, #182239, #239916

 -- Joey Hess <joeyh@debian.org>  Fri, 26 Mar 2004 22:01:40 -0500

debconf (1.4.17) unstable; urgency=low

  * Added Turkish po file translation from Recai Oktas. Closes: #239141

 -- Joey Hess <joeyh@debian.org>  Sat, 20 Mar 2004 22:29:51 -0500

debconf (1.4.16) unstable; urgency=medium

  * Dialog and whiptail differ in their handling of --nocancel with
    --defaultno. Never use the two options together. Closes: #236943
  * Bump the urgency, this bug can cause bad things to happen and needs to be
    fixed in testing.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Mar 2004 10:59:28 -0500

debconf (1.4.14) unstable; urgency=low

  * Fix call to to_Unicode in KDE String element. Closes: #236574

 -- Joey Hess <joeyh@debian.org>  Sun,  7 Mar 2004 13:13:00 -0900

debconf (1.4.13) unstable; urgency=low

  * Fix display on non-latin symbols in the KDE frontend. Closes: #235837
    (Thanks, Eugeniy Meshcheryakov)
  * Added Chinese po files. Closes: #235950 (thanks, Carlos Liu)

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Mar 2004 15:36:18 -0500

debconf (1.4.12) unstable; urgency=low

  * Updated French manpages from Julien Louis, includes new
    debconf-{get,set}-selections translations. Closes: #235690

 -- Joey Hess <joeyh@debian.org>  Tue,  2 Mar 2004 12:31:51 -0500

debconf (1.4.11) unstable; urgency=low

  * Updated Spanish templates translation. Closes: #232662
  * Fix dialog frontend's handling of user entering nothing in an inputbox,
    in this case whiptail's output FD is eof, and care must be taken to not
    return undef. Closes: #233618, #226963, #227732

 -- Joey Hess <joeyh@debian.org>  Sat, 14 Feb 2004 20:35:36 -0500


