=== debian/changelog ===
debconf (1.4.30.13) testing-proposed-updates; urgency=low

  * Joey Hess
    - Make debconf-set-selections not fail if it encounters an unknown
      question type. This is for future expansion post-sarge, when we may add
      new types of questions or override the type field to do seen flag
      handling. This needs to get into sarge so that installs of sarge done
      with newer versions of the installer that may make use of such
      extensions will work and not choke on the extensions in the preseed
      files.
  * Translations:
    - Update German translation by Helge Kreutzmann
    - Spanish updated. Closes: #301126

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Apr 2005 16:35:16 -0400

debconf (1.4.30.12) testing-proposed-updates; urgency=low

  * Mark more strings as translatable. Closes: #225463
  * Translations:
    - French updated
    - Italian updated. Closes: #291797
    - Simplified Chinese updated. Closes: #291799
    - Dutch updated. Closes: #291805
    - Russian updated. Closes: #291806
    - Czech updated. Closes: #291810
    - Portuguese updated. Closes: #291837
    - Ukrainian updated. Closes: #291861
    - Catalan updated. Closes: #291868
    - Norwegian Nynorsk updated. Closes: #291882
    - Spanish updated. Closes: #291885
    - Hebrew updated. Closes: #291906
    - Japanese updated. Closes: #291924
    - Danish updated. Closes: #291988
    - Finnish updated. Closes: #292051
    - Indonesian updated. Closes: #291948
    - Brazilian Portuguese updated. Closes: #291980
    - Slovak updated. Closes: #291947
    - Swedish updated. Closes: #292036
    - Greek updated. Closes: #293912
    - Basque updated.
    - Romanian updated. Closes: #292306
    - Tagalog added (programs and debconf). Closes: #292608, #296050
    - Arabic added from Arabeyes CVS
    - Traditional Chinese translation updated. Closes: #294892
    - German updated.
    - Polish updated. Closes: #295378

 -- Joey Hess <joeyh@debian.org>  Mon, 21 Feb 2005 19:38:08 -0500

debconf (1.4.30.11) testing-proposed-updates; urgency=low

  * Translations:
    - Finnish updated (programs). Closes: #280709
    - Romanian added (programs). Closes: #283209

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Dec 2004 17:44:08 -0500

debconf (1.4.30.10) testing-proposed-updates; urgency=low

  * Joey Hess
    - Remove the debug message added in the last verson, the check seems
      somewhat buggy and we can debug it in unstable.

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Nov 2004 17:26:31 -0500

debconf (1.4.30.9) testing-proposed-updates; urgency=low

  * Joey Hess
    - Force PERL_DL_NONLAZY=1 in confmodule, confmodule.sh, debconf.py, and
      Debconf::Client::ConfModule to avoid bad behavior of the dynamic linker
      when Text::Iconv is loaded but its symbols have not really been
      resolved. This caused debconf to be killed with a relocation error
      in certian upgrades from woody involving packages that use debconf in
      their preinst. Closes: #278417 Thanks to Andrew Suffield and Branden
      Robinson for analysis.
    - Add check in frontend and debug message if PERL_DL_NONLAZY is not set
      to 1 when it's run from a preinst, in case I missed other entry points.
  * Translations:
    - Indonesian added (programs). Closes: #275981
    - Traditional Chinese renamed from zh_TW.Big5.po to zh_TW.po
      (Christian Perrier)
    - Simplified Chinese added (programs). Closes: #277470
    - Slovak translation added (programs and debconf). Closes: #279299

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Nov 2004 15:03:05 -0500

debconf (1.4.30.8) testing-proposed-updates; urgency=low

  * Translations:
    - Updated Spanish (programs). Closes: #274148
    - Added Hebrew. Closes: #274381
    - Italian added (programs) and updated (debconf). Closes: #274582, #274584
    - Norwegian Nynorsk added (programs). Closes: #275081
    - Polish updated (debconf). Closes: #275815

 -- Joey Hess <joeyh@debian.org>  Sun, 10 Oct 2004 15:11:07 -0400

debconf (1.4.30.7) testing-proposed-updates; urgency=low

  * Joey Hess
    - Tightended the versioned conflicts/replaces on debconf-utils in
      debconf-i18n. Closes: #273970
  * Translations:
    - Updated Brazilian Portuguese translation (programs). Closes: #273941

 -- Joey Hess <joeyh@debian.org>  Wed, 29 Sep 2004 01:54:54 -0400

debconf (1.4.30.6) testing-proposed-updates; urgency=low

  * Translations
    - Errors corrected in Greek programs translations by
      Konstantinos Margaritis
    - Italian debconf update. Closes: #272521
    - Czech debconf update. Closes: #273522
    - Russian translations updates. Closes: #272723
    - Dutch translation added. Closes: #272535
    - Portuguese translation added. Closes: #273227
  * Spelling error in "man page" of debconf-show fixed. Closes: #272541

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Sep 2004 22:23:23 -0400

debconf (1.4.30.5) testing-proposed-updates; urgency=low

  * Joey Hess
    - Used wrong regexp in last version.
  * Translations:
    - Update all debconf translations from the trunk branch
    - Update Ukrainian and French translations from the trunk branch
    - Correct trivial errors in Russian and Polish translations headers

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Sep 2004 23:10:44 -0400

debconf (1.4.30.4) testing-proposed-updates; urgency=low

  * Fix debconf-get-selections to not choke on files with comments followed
    by nothing.
  * Allow multiple spaces between all values except the last one in preseed
    files.
  * (Sent to t-p-u because the above make it annoyingly hard to write preseed
    files by hand, and our example preseed files tickle both problems.)

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Sep 2004 13:32:09 -0400

debconf (1.4.30.3) testing-proposed-updates; urgency=low
 
   * Skip title questions in debconf-get-selections along with the notes, text,
     and errors previously skipped.
   * Add titles to the list of known types in debconf-set-selections, just in
     case.

