## debconf 1.4.39.osso1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-all: Debconf/FrontEnd/Kde/WizardUi.pm
+all: 
 	$(MAKE) -C doc
 	$(MAKE) -C po
 
-Debconf/FrontEnd/Kde/WizardUi.pm: Debconf/FrontEnd/Kde/WizardUi.ui
-	puic $< |sed 's/package WizardUi/package Debconf::FrontEnd::Kde::WizardUi/' > $@
+#Debconf/FrontEnd/Kde/WizardUi.pm: Debconf/FrontEnd/Kde/WizardUi.ui
+#	puic $< |sed 's/package WizardUi/package Debconf::FrontEnd::Kde::WizardUi/' > $@
 
 clean:
 	find . -name \*~ | xargs rm -f
