=== debian/changelog ===
debconf (1.4.39.osso1) unstable; urgency=low

  * Removed qt build depency so SDK doesn't need to provide it.

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Thu, 21 Oct 2004 10:12:30 +0300

debconf (1.4.39) unstable; urgency=low

  * Joey Hess
    - Avoid a warning message in DbDriver::Copy that's triggered by d-i
      debconf preseeding. Closes: #275122
  * Translations:
    - Spanish updated (programs). Closes: #274148
    - Hebrew added (both). Closes: #274381
    - Italian added (programs) and updated (debconf). Closes: #274582, #274584
    - Norwegian Nynorsk added (programs). Closes: #275081
    - Polish updated (debconf). Closes: #275815

 -- Joey Hess <joeyh@debian.org>  Sun, 10 Oct 2004 15:16:57 -0400

debconf (1.4.38) unstable; urgency=low

  * Joey Hess
    - Tightended the versioned conflicts/replaces on debconf-utils in
      debconf-i18n. Closes: #273970
  * Translations:
    - Updated Brazilian Portuguese translation (programs). Closes: #273941

 -- Christian Perrier <bubulle@kheops.frmug.org>  Thu, 30 Sep 2004 11:11:00 +0200

debconf (1.4.37) unstable; urgency=low

  * Translations:
    - Correct errors in Greek translation by Konstantinos Margaritis
    - Italian debconf update. Closes: #272521
    - Czech debconf update. Closes: #273522
    - Russian translation updates. Closes: #272723
    - Dutch translation added. Closes: #272535
    - Portuguese translation added. Closes: #273227
  * Spelling error in "man page" of debconf-show fixed. Closes: #272541

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Sep 2004 22:14:59 -0400

debconf (1.4.36) unstable; urgency=low

  * Joey Hess
    - Used wrong regexp in last version.
  * Translations:
    - Updated French translation (programs and debconf)
      Closes: #242935, #264152, #271373, #255657
    - Updated/added Ukrainian translations (programs and debconf)
      Closes: #270088
    - Polish debconf translation updated
      Closes: #271398
    - Brazilian Portuguese debconf translation checked
      Closes: #271412
    - Correct trivial errors to Russian and Polish translations headers

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Sep 2004 23:09:14 -0400

debconf (1.4.35) unstable; urgency=low

  * Fix debconf-get-selections to not choke on files with comments followed
    by nothing.
  * Allow multiple spaces between all values except the last one in preseed
    files.

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Sep 2004 13:30:42 -0400

debconf (1.4.34) unstable; urgency=low

  * Skip questions with no known type also in debconf-get-selections.

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Sep 2004 01:25:20 -0400

debconf (1.4.33) unstable; urgency=low

  * Skip title questions in debconf-get-selections along with the notes, text,
    and errors previously skipped.
  * Add titles to the list of known types in debconf-set-selections, just in
    case.

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Sep 2004 00:42:50 -0400

debconf (1.4.32) unstable; urgency=low

  * Hack in an --installer parameter in debconf-get-selections so the d-i
    manual can document a sane way to generate d-i preseeding files.
  * Add the question's short description as a comment in
    debconf-get-selections output, and skip notes, text, and errors.

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Aug 2004 14:46:03 +0100

debconf (1.4.31) unstable; urgency=low

  * Improve the man page with state machine improvements and better back out
    handling from Bruce Perens.
  * Minor Danish po file update. Closes: #262131
  * Patch from David Schweikert to let dpkg-reconfigure use the noninteractive
    frontend if forced to do so. Closes: #263398
  * Patch from Julien Louis to add translations of debconf-communicate and
    debconf-set-selections to debconf-i18n. Closes: #264140
  * Ran recode latin1..utf-8 debian/changelog. Closes: #214563
  * Add Tukish po file translation from Recai Oktas. Closes: #264713
  * Japanese po file update from kmuto. Closes: #265984

 -- Joey Hess <joeyh@debian.org>  Mon, 16 Aug 2004 23:11:33 +0100
