=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.6.1.0
-Build-Depends: perl, python, debhelper (>= 4.1.27), gettext, po-debconf, libqt-perl
+Build-Depends: perl, python, debhelper (>= 4.1.27), gettext, po-debconf
 
 Package: debconf
 Priority: important
