## debconf 1.4.42ubuntu4

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
-all: 
+#all: Debconf/FrontEnd/Kde/WizardUi.pm
+all:
 	$(MAKE) -C doc
 	$(MAKE) -C po
 
-#Debconf/FrontEnd/Kde/WizardUi.pm: Debconf/FrontEnd/Kde/WizardUi.ui
-#	puic $< |sed 's/package WizardUi/package Debconf::FrontEnd::Kde::WizardUi/' > $@
+Debconf/FrontEnd/Kde/WizardUi.pm: Debconf/FrontEnd/Kde/WizardUi.ui
+	puic $< |sed 's/package WizardUi/package Debconf::FrontEnd::Kde::WizardUi/' > $@
 
 clean:
 	find . -name \*~ | xargs rm -f
@@ -36,13 +37,13 @@
 	# This one is the ultimate backup copy.
 	grep -v '^#' debconf.conf > $(prefix)/usr/share/debconf/debconf.conf
 	# Make module directories.
-	find Debconf -type d |grep -v CVS | \
+	find Debconf -type d |egrep -v '(CVS|Kde)' | \
 		xargs -i install -d $(prefix)/usr/share/perl5/{}
-	install -d $(prefix)/usr/lib/python2.3/site-packages/
+	install -d $(prefix)/usr/lib/python2.4/site-packages/
 	# Install modules.
-	find Debconf -type f -name '*.pm' |grep -v CVS | \
+	find Debconf -type f -name '*.pm' |egrep -v '(CVS|Kde)' | \
 		xargs -i install -m 0644 {} $(prefix)/usr/share/perl5/{}
-	install -m 0644 debconf.py $(prefix)/usr/lib/python2.3/site-packages/
+	install -m 0644 debconf.py $(prefix)/usr/lib/python2.4/site-packages/
 	# Special case for back-compatability.
 	install -d $(prefix)/usr/share/perl5/Debian/DebConf/Client
 	cp Debconf/Client/ConfModule.stub \
