=== debian/changelog ===
debconf (1.4.42ubuntu4) hoary; urgency=low

  * Installer logs go in /var/log/installer now, not
    /var/log/debian-installer.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  1 Mar 2005 21:48:53 +0000

debconf (1.4.42ubuntu3) hoary; urgency=low

  * Add just enough support for cdebconf's PROGRESS command to allow it to
    be used with the passthrough frontend and a cdebconf UI agent, and to
    send suitable template data along with it.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  1 Feb 2005 16:15:07 +0000

debconf (1.4.42ubuntu2) hoary; urgency=low

  * Backport from trunk:
    - The passthrough frontend sets the value of visible questions by
      getting the value from the UI agent, but it didn't set the value of
      invisible questions as the confmodule expects it to. It now sets the
      value of invisible questions in the same way as the noninteractive
      frontend.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 31 Jan 2005 17:19:04 +0000

debconf (1.4.42ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 14 Jan 2005 13:42:02 +0000

debconf (1.4.42) unstable; urgency=low

  * Fix bug in man page example script. Closes: #286335
  * Add --unseen flag to debconf-set-selections. Closes: #286318
  * Fix typo in man page example. Closes: #285099
  * Patch from mdz to improve the passthrough frontend:
    - Use DEBCONF_READFD and DEBCONF_WRITEFD for passthrough communication
      if DEBCONF_PIPE is not set to a socket.
    - Change passthrough protocl for INPUT command so it is the same as in
      the debconf protocol, and pass the type of the question in a "DATA type"
      command.
    - Fix passing of extended descriptions in DATA. Note they're newline
      escaped.
    - Pass choices for multiselect questions.
    - Now usable with cdebconf as the client on the other side of the
      passthrough channel.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Jan 2005 19:01:58 -0500

debconf (1.4.41ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 24 Dec 2004 16:58:34 +0000

debconf (1.4.41) unstable; urgency=low

  * Translations:
    - Finnish updated (programs). Closes: #280709
    - Romanian added (programs). Closes: #283209

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Dec 2004 17:22:42 -0500

debconf (1.4.40ubuntu2) hoary; urgency=low

  * Install debconf.py to python 2.4's directory, not 2.3

 -- Tollef Fog Heen <tfheen@canonical.com>  Thu, 23 Dec 2004 20:41:07 +0100

debconf (1.4.40ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.
  * Update Ubuntu branding.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 10 Nov 2004 12:59:22 +0000

debconf (1.4.40) unstable; urgency=low

  * Joey Hess
    - Force PERL_DL_NONLAZY=1 in confmodule, confmodule.sh, debconf.py, and
      Debconf::Client::ConfModule to avoid bad behavior of the dynamic linker
      when Text::Iconv is loaded but its symbols have not really been
      resolved. This caused debconf to be killed with a relocation error
      in certian upgrades from woody involving packages that use debconf in
      their preinst. Closes: #278417 Thanks to Andrew Suffield and Branden
      Robinson for analysis.
    - Add check in frontend and debug message if PERL_DL_NONLAZY is not set
      to 1 when it's run from a preinst, in case I missed other entry points.
  * Colin Watson
    - Set the seen flag on questions asked in the noninteractive frontend if
      DEBCONF_NONINTERACTIVE_SEEN is set to true. This allows debootstrap to
      behave better (partly fixes #238301).
  * Translations:
    - Indonesian added (programs). Closes: #275981
    - Traditional Chinese renamed from zh_TW.Big5.po to zh_TW.po
      (Christian Perrier)
    - Simplified Chinese added (programs). Closes: #277470
    - Slovak translation added (programs and debconf). Closes: #279299

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Nov 2004 14:20:39 -0500

debconf (1.4.39ubuntu2) hoary; urgency=low

  * Disable KDE frontend, avoiding the build-dependency on libqt-perl
    (closes: Ubuntu #3133).

 -- Colin Watson <cjwatson@canonical.com>  Mon,  8 Nov 2004 13:26:05 +0000

debconf (1.4.39ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 29 Oct 2004 15:58:14 +0100
