=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,8 @@
 		doc/man/gen/debconf-set-selections.1
 	dh_installman -p debconf-i18n doc/man/gen/dpkg-*.*.8 \
 		doc/man/gen/debconf-show*.*.1 doc/man/gen/debconf-copydb*.*.1 \
-		doc/man/gen/debconf.*.1
+		doc/man/gen/debconf.*.1 doc/man/gen/debconf-communicate.*.1 \
+		doc/man/gen/debconf-set-selections.*.1
 	dh_installman -p debconf-doc doc/man/confmodule*.3 doc/man/debconf*.7 \
 		doc/man/debconf.conf*.5 doc/man/gen/Debconf::Client::ConfModule*
 	dh_installman -p debconf-utils `find doc/man/gen/debconf-* | grep -v debconf-show | grep -v debconf-copydb | grep -v debconf-set-selections | grep -v debconf-communicate`
