## debconf 1.4.56ubuntu2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
-#all: Debconf/FrontEnd/Kde/WizardUi.pm
-all:
+all: Debconf/FrontEnd/Kde/WizardUi.pm
 	$(MAKE) -C doc
 	$(MAKE) -C po
 
@@ -37,11 +36,11 @@
 	# This one is the ultimate backup copy.
 	grep -v '^#' debconf.conf > $(prefix)/usr/share/debconf/debconf.conf
 	# Make module directories.
-	find Debconf -type d |egrep -v '(CVS|Kde)' | \
+	find Debconf -type d |grep -v CVS | \
 		xargs -i install -d $(prefix)/usr/share/perl5/{}
 	install -d $(prefix)/usr/lib/python2.4/site-packages/
 	# Install modules.
-	find Debconf -type f -name '*.pm' |egrep -v '(CVS|Kde)' | \
+	find Debconf -type f -name '*.pm' |grep -v CVS | \
 		xargs -i install -m 0644 {} $(prefix)/usr/share/perl5/{}
 	install -m 0644 debconf.py $(prefix)/usr/lib/python2.4/site-packages/
 	# Special case for back-compatability.
