=== debian/changelog ===
debconf (1.4.56ubuntu2) breezy; urgency=low

  * Rebuild now that pkgstriptranslations is configured to blacklist
    debconf-i18n. No source changes.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 Sep 2005 15:06:18 +0100

debconf (1.4.56ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  5 Aug 2005 11:51:16 +0100

debconf (1.4.56) unstable; urgency=low

  [ Luk Claes ]
  * Debconf translations:
    - Arabic added (thanks Mohammed Adnène Trojette). Closes: #320762

  [ Colin Watson ]
  * Force dialog progress bars to the full available screen width right from
    the start, to avoid the box flashing as longer info messages are added.
    Matches cdebconf.
  * Fix zero-arg case of passthrough's title method to return the title
    rather than emptying it.
  * The approach used by progress bars of saving the title when a progress
    bar starts and restoring it when it stops doesn't work if somebody sets
    the title when a progress bar is up. Instead, remember the last title
    that was explicitly requested and restore that on progress stop.
  * If DEBCONF_SYSTEMRC is set to a file that exists, use it in preference
    to the system debconf.conf files. Closes: #299216
  * Never send STOP through the passthrough interface. One of the uses for
    passthrough is putting a progress bar in front of base-config's package
    installation, and that previously sent a STOP after every package, which
    shut down the debconf instance running the progress bar. Frontends shut
    themselves down anyway when their input goes away, so the STOP was
    unnecessary.
  * Allow setting the pipe driver's outfd to 'none' to throw the database
    away on shutdown. Helps with #312072.

 -- Colin Watson <cjwatson@debian.org>  Thu,  4 Aug 2005 20:55:12 +0100

debconf (1.4.55ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  2 Aug 2005 15:17:39 +0100

debconf (1.4.55) unstable; urgency=low

  [ Joey Hess ]
  * confmodule: avoid using non-XSI local variables; instead use a nasty
    temporary IFS setting hack and _db_local_ namespace. Closes: #242011

  [ Colin Watson ]
  * Fix error message on uninitialised template database.
  * Add DEBCONF_DB_REPLACE environment variable with the same syntax as
    DEBCONF_DB_OVERRIDE and DEBCONF_DB_FALLBACK, which bypasses all the
    normal databases (thus avoiding locking them). Useful for local testing
    or for running two concurrent debconf instances.
  * Start a new, bigger dialog instance when updating a progress bar with
    info text that won't fit into the current instance.
  * Start/restart dialog progress bars at the correct percentage.
  * Fix showdialog return values.

 -- Colin Watson <cjwatson@debian.org>  Tue,  2 Aug 2005 15:04:55 +0100

debconf (1.4.54ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  1 Aug 2005 16:35:31 +0100

debconf (1.4.54) unstable; urgency=low

  * Make dialog progress bars interruptible: if a question needs to be asked
    while a progress bar is up, we tear down the progress bar and restore it
    afterwards where we left off. The gnome frontend is still broken in this
    situation, although at least kde and readline work fine.

 -- Colin Watson <cjwatson@debian.org>  Mon,  1 Aug 2005 16:20:20 +0100

debconf (1.4.53ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  1 Aug 2005 11:49:06 +0100

debconf (1.4.53) unstable; urgency=low

  [ Luk Claes ]
  * Manpage translations:
    - Updated French confmodule manpage. Closes: #318410

  [ Sylvain Ferriol ]
  * add Test::Debconf::DbDriver::CommonTest::test_shutdown to verify sync of
    data between cache and file on shutdown.
  * add Test::Debconf::DbDriver::CommonTest::test_shutdown to verify sync of
    data between cache and ldap on shutdown.
  * add unit tests to validate debconf_copydb.
  * add Test::CopyDBTest::test_201431. Closes: #201431
  * modify debconf.schema because extendedDescription attribute has an
    inappropriate matching rule => slapd (2.2.23-8) failed
  * set the type of the template in Template::new because if we don't
    use Template::load, it do not appear in template instance
  * call Cache::shutdown in LDAP::shutdown to synchronize data between
    cache and ldap.

  [ Joey Hess ]
  * Add Kamion to the uploaders.
  * debconf-get-selections: Use new d-i logfile path for --installer mode.

  [ Colin Watson ]
  * Fix template -C handling to avoid clobbering $field for later requests
    for the same template.
  * debconf-get-selections: Tolerate both old and new d-i logfile paths.
  * Implement the DATA command, so that debconf can act as a UI agent
    communicating with another instance of debconf running the passthrough
    frontend.
  * Add myself to debian/copyright for progress bar support.

 -- Colin Watson <cjwatson@debian.org>  Sun, 31 Jul 2005 18:19:41 +0100

debconf (1.4.52ubuntu2) breezy; urgency=low

  * Backport from trunk:
    - Fix template -C handling to avoid clobbering $field for later requests
      for the same template.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Jul 2005 18:55:29 +0100

debconf (1.4.52ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Jul 2005 16:48:09 +0100

debconf (1.4.52) unstable; urgency=low

  * Colin Watson:
    - Lower-case the field name passed to METAGET, since the template
      database stores fields that way.
    - If a template name ending in -C is requested (e.g. via METAGET),
      return the untranslated template regardless of the locale.
    - Strip off DOS line endings in debconf-set-selections.
    - Autoflush stdout in debconf-communicate so that stdout can be a pipe.
    - Clean up stray newlines in DEBCONF_DEBUG=developer debconf-communicate
      output.

