=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Joey Hess <joeyh@debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.6.1.0
-Build-Depends: perl, python (>= 2.4), debhelper (>= 4.1.27), gettext, po-debconf
+Build-Depends: perl, python (>= 2.4), debhelper (>= 4.1.27), gettext (>= 0.13), libintl-perl, po-debconf, libqt-perl
 
 Package: debconf
 Priority: important
